import { requestClient } from '#/api/request';

async function queryPage(param) {
  return requestClient.post('/auth/ChatConfig/queryPage', param);
}

async function queryList(param) {
  return requestClient.post('/auth/ChatConfig/queryList', param);
}

async function create(param) {
  return requestClient.post('/auth/ChatConfig/addOne', param);
}

async function removeByUid(param) {
  return requestClient.post('/auth/ChatConfig/removeByUid/' + param.uuid, param);
}

async function updateByUid(param) {
  return requestClient.post('/auth/ChatConfig/updateByUid' , param);
}

async function getById(param) {
  return requestClient.post('/auth/ChatConfig/getById', param);
}

async function getByUuid(param) {
  return requestClient.post('/auth/ChatConfig/getByUuid', param);
}

export const chatConfig = {
  queryPage,
  queryList,
  create,
  removeByUid,
  updateByUid,
  getById,
  getByUuid,
}